include/wayland-client.hpp(3)

NAME
include/wayland-client.hpp

SYNOPSIS

#include <atomic>
#include <functional>
#include <memory>
#include <string>
#include <vector>
#include <cstdint>
#include <wayland-version.hpp>
#include <wayland-client-core.h>
#include <wayland-util.hpp>
#include <wayland-client-protocol.hpp>

  Classes

class wayland::event_queue_t
A queue for proxy_t object events.
class wayland::proxy_t
Represents a protocol object on the client side.
class wayland::read_intent
Represents an intention to read from the display file descriptor.
class wayland::display_t
Represents a connection to the compositor and acts as a proxy to the display singleton object.

  Typedefs

using wayland::log_handler = std::function< void(std::string)>
Type for functions that handle log messages.

  Functions

void wayland::set_log_handler (log_handler handler)
Set C library log handler.

Typedef Documentation

  using wayland::log_handler = typedef std::function<void(std::string)>

Type for functions that handle log messages. Log message is the first argument

Definition at line 47 of file wayland-client.hpp.

Function Documentation

  void wayland::set_log_handler (log_handler handler)

Set C library log handler. The C library sometimes logs important information such as protocol error messages, by default to the standard output. This can be used to set an alternate function that will receive those messages.

Parameters
    handler function that should be called for C library log messages

Author

Generated automatically by Doxygen for Wayland++ from the source code.